united states of america usa  linkedinfacebook   Call Us Today: (786) 646-6461

apt command issues

Due to some corruption issue during ubuntu (and ubuntu based sytems), this error may come up:

apt: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0: symbol _ZN9pkgSystem9LockInnerEv, version APTPKG_5.0 not defined in file libapt-pkg.so.5.0 with link time reference

There's no clear answer on how to fix this or why it happens, but it corrupts the file libapt-private.so.0.0.0. One way to resolve the issue is to copy the file from another ubuntu 16.04 install. (Or you can download it from here: libapt-private.so.0.0.0 version x64)

Don't forget to set permissions:

-rw-r--r-- 1 root root

ALT Technical are your trusted IT Consultants. Contact us for help.